﻿<?xml version="1.0" encoding="utf-8"?>
<Project ToolsVersion="4.0" DefaultTargets="Build" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
    <Import Project="$(MSBuildExtensionsPath)\$(MSBuildToolsVersion)\Microsoft.Common.props" Condition="Exists('$(MSBuildExtensionsPath)\$(MSBuildToolsVersion)\Microsoft.Common.props')" />
    <PropertyGroup>
        <Configuration Condition=" '$(Configuration)' == '' ">Debug</Configuration>
        <Platform Condition=" '$(Platform)' == '' ">AnyCPU</Platform>
        <ProjectGuid>{E32E3561-F1D8-45CB-879F-8B5B9DFD48EF}</ProjectGuid>
        <OutputType>Library</OutputType>
        <AppDesignerFolder>Properties</AppDesignerFolder>
        <RootNamespace>TaxiJob.Server</RootNamespace>
        <AssemblyName>TaxiJob.Server.net</AssemblyName>
        <TargetFrameworkVersion>v4.8.1</TargetFrameworkVersion>
        <FileAlignment>512</FileAlignment>
    </PropertyGroup>
    <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Debug|AnyCPU' ">
        <PlatformTarget>AnyCPU</PlatformTarget>
        <DebugSymbols>true</DebugSymbols>
        <DebugType>full</DebugType>
        <Optimize>false</Optimize>
        <OutputPath>bin\Debug\</OutputPath>
        <DefineConstants>DEBUG;TRACE</DefineConstants>
        <ErrorReport>prompt</ErrorReport>
        <WarningLevel>4</WarningLevel>
    </PropertyGroup>
    <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Release|AnyCPU' ">
        <PlatformTarget>x64</PlatformTarget>
        <DebugType>embedded</DebugType>
        <Optimize>true</Optimize>
        <OutputPath>../Output</OutputPath>
        <DefineConstants>TRACE</DefineConstants>
        <ErrorReport>prompt</ErrorReport>
        <WarningLevel>4</WarningLevel>
    </PropertyGroup>
    <PropertyGroup>
      <PostBuildEvent>del Newtonsoft.Json.xml</PostBuildEvent>
    </PropertyGroup>
    <ItemGroup>
        <Reference Include="CitizenFX.Core.Server">
          <HintPath>..\Librarys\CitizenFX.Core.Server.dll</HintPath>
          <Private>False</Private>
        </Reference>
        <Reference Include="Microsoft.CSharp">
          <HintPath>..\Librarys\Microsoft.CSharp.dll</HintPath>
          <Private>False</Private>
        </Reference>
        <Reference Include="Newtonsoft.Json, Version=13.0.0.0, Culture=neutral, PublicKeyToken=30ad4fe6b2a6aeed, processorArchitecture=MSIL">
          <HintPath>..\packages\Newtonsoft.Json.13.0.1\lib\net45\Newtonsoft.Json.dll</HintPath>
        </Reference>
        <Reference Include="System" />
        <Reference Include="System.Core" />
        <Reference Include="System.Data" />
        <Reference Include="System.Xml" />
    </ItemGroup>
    <ItemGroup>
        <Compile Include="ESX\Server\ESX.Config.cs" />
        <Compile Include="ESX\Server\ESX.Config.Weapons.cs" />
        <Compile Include="ESX\Server\ESX.cs" />
        <Compile Include="ESX\Server\xPlayer.cs" />
        <Compile Include="PlayerExtensions.cs" />
        <Compile Include="Properties\AssemblyInfo.cs" />
        <Compile Include="ServerScript.cs" />
    </ItemGroup>
    <ItemGroup>
      <ProjectReference Include="..\TaxiJob.Shared\TaxiJob.Shared.csproj">
        <Project>{a37cda98-5126-4123-93fe-0aa2cae5c73e}</Project>
        <Name>TaxiJob.Shared</Name>
      </ProjectReference>
    </ItemGroup>
    <ItemGroup>
      <None Include="packages.config" />
    </ItemGroup>
    <Import Project="$(MSBuildToolsPath)\Microsoft.CSharp.targets" />
    <!-- To modify your build process, add your task inside one of the targets below and uncomment it. 
         Other similar extension points exist, see Microsoft.Common.targets.
    <Target Name="BeforeBuild">
    </Target>
    <Target Name="AfterBuild">
    </Target>
    -->

</Project>
